<?php
namespace Threepartment\Serialnumbers\Model\ResourceModel;
class Serialnumber extends \Magento\Framework\Model\ResourceModel\Db\AbstractDb
{
	/**
     * @var string
     */
	protected $_idFieldName = 'serial_number_id';
	
	/**
     * @var \Magento\Framework\Stdlib\DateTime\DateTime
     */
	protected $_date;
	
	public function __construct(
		\Magento\Framework\Model\ResourceModel\Db\Context $context,
		\Magento\Framework\Stdlib\DateTime\DateTime $date,
        $resourcePrefix = null
	)
	{
		parent::__construct($context, $resourcePrefix);
        $this->_date = $date;
	}
	protected function _construct()
	{
		$this->_init('threepartment_serialnumbers_serialnumber', 'serial_number_id');
	}
}